Skip to main content
GET
Retrieve all website pages

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

archived
boolean

Whether to return only results that have been archived.

createdAfter
string<date-time>

Filter pages created after the specified date-time.

createdAt
string<date-time>

Filter pages by their exact creation timestamp. Format should be date-time.

createdBefore
string<date-time>

Filter pages created before the specified date-time.

limit
integer<int32>

The maximum number of results to display per page.

property
string

Specify which properties to include in the response.

sort
string[]

Specify the order of the results. Accepts an array of strings.

updatedAfter
string<date-time>

Filter pages updated after the specified date-time.

updatedAt
string<date-time>

Filter pages by their exact update timestamp. Format should be date-time.

updatedBefore
string<date-time>

Filter pages updated before the specified date-time.

Response

successful operation

results
object[]
required

Collection of pages.

total
integer<int32>
required

Total number of pages.

paging
object

Paging information for forward-only pagination. Contains the next page reference when more results are available; omitted or empty on the last page.

Last modified on September 9, 2026